Summary: A X front-end for the Ghostscript PostScript(TM) interpreter.
Name: gv
Version: 3.6.1
Release: 1a
License: GPL
Group: Applications/Publishing
Requires: ghostscript
Source0: ftp://ftp.gnu.org/gnu/gv/gv-%{version}.tar.gz
Url: http://www.gnu.org/software/gv/
Obsoletes: ghostview
BuildPrereq: Xaw3d-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

Install the gv package if you'd like to view PostScript and PDF
Url: http://wwwthep.physik.uni-mainz.de/~plass/gv/
Obsoletes: ghostview
BuildPrereq: Xaw3d-devel

%description
Gv is a user interface for the Ghostscript PostScript(TM) interpreter.
Gv can display PostScript and PDF documents on an X Window System.

Install the gv package if you'd like to view PostScript and PDF
documents on your system.  You'll also need to have the ghostscript
package and X installed.

%prep
%setup -q

%build
%configure --bindir=/usr/X11R6/bin --libdir=/usr/X11R6/lib/X11 \
	--mandir=/usr/X11R6/man --infodir=/usr/local/share/info 
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/X11/app-defaults
%ifos darwin
ln -s private/etc %{buildroot}/etc
%endif
mkdir -p %{buildroot}/usr/X11R6/lib/X11
ln -s ../../../../%{_sysconfdir}/X11/app-defaults %{buildroot}/usr/X11R6/lib/X11/.

make DESTDIR=%{buildroot} install

ln -sf gv %{buildroot}/usr/X11R6/bin/ghostview
(cd %{buildroot}
 rm -f .%{_infodir}/dir
 mv ./usr/X11R6/lib/X11/gv/GV .%{_sysconfdir}/X11/app-defaults/
)

%clean
rm -rf %{buildroot}

%files
%ifnos darwin
%defattr(-,root,root)
%else
%defattr(-,root,wheel)
%endif
%doc AUTHORS COPYING ChangeLog README
/usr/X11R6/bin/gv
%dir /usr/X11R6/lib/X11/gv
/usr/X11R6/lib/X11/gv/*
%config(noreplace,missingok) %{_sysconfdir}/X11/app-defaults/GV
/usr/X11R6/bin/ghostview
/usr/X11R6/man/man1/gv.*
%{_infodir}/*


%changelog
* Sun May 22 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 3.6.1-1a
- 1st release on MacOSX 10.4.
